Summary: A source code preprocessor for hep applications
Name: patchy
%define version 4.15
Version: %{version}
Release: 10.14%{?dist}1a
Source0: patchy-%{version}.tar.gz
Patch0: patchy-%{version}-p4boot-macosx10.14.patch
Patch1: patchy-%{version}-gfortran.patch
Patch2: patchy-%{version}-i386.patch
License: CERN
Group: CERNLIB
BuildRoot: %{_tmppath}/patchy-root

%description
Patchy is a family of programs for source code management,
such as absorbing machine dependence through preprocessing, etc.
The package is distributed as a part of CERNLIB and requires
LICENSE agreement with CERN.

%package symlinks
Summary: symbolic links to /cern/pro/bin
Group: CERNLIB
%description symlinks
Symbolic links to use patchy programs as installed in
the default CERNLIB command search path.
Requires: patchy

%prep
%setup
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/cern/patchy/%{version}/bin
mkdir -p $RPM_BUILD_ROOT/cern/pro/bin
%patch0 -p1 -b .p4boot
%ifnos darwin
if [ `which gfortran | grep -vc 'no gfortran'` -eq 1 ]; then
%patch2 -p1 -b .i386
fi
%endif
%ifnarch ppc
mv p4inceta-i386 p4inceta
mv p4sub-i386.diff p4sub.diff
mv rceta-i386.sh rceta.sh
%else
mv p4inceta-ppc p4inceta
mv p4sub-ppc.diff p4sub.diff
mv rceta-ppc.sh rceta.sh
%endif
if [ `which gfortran | grep -vc 'no gfortran'` -eq 1 ]; then
cat $RPM_SOURCE_DIR/patchy-%{version}-gfortran.patch >> p4sub.diff
mv p4boot.sh0 p4boot.sh0.orig
 set  CLD  = "f77"
sed -e 's;-fno-globals;;g' -e 's;-Wno-globals;;g' p4boot.sh0.orig > p4boot.sh0
mv rceta.sh rceta.sh.orig
sed -e 's;-fno-globals;;g' -e 's;-Wno-globals;;g' -e 's;f77;gfortran;' -e's;^ rceta; ./rceta;'  rceta.sh.orig > rceta.sh
fi

%build
export CERN=$RPM_BUILD_ROOT/cern
if [ `which gfortran | grep -vc 'no gfortran'` -eq 1 ]; then
export FC=`which gfortran`
export PATH=.:$PATH:`pwd`:$CERN/patchy/%{version}/src
fi
csh -c "printenv CERN; printenv FC; setenv PATH $PATH\:.:$CERN/patchy/4.15/src; printenv PATH; ./make_patchy"

%install
# install is done in the build step
strip $RPM_BUILD_ROOT/cern/patchy/%{version}/bin/*
cd $RPM_BUILD_ROOT/cern/pro/bin
for i in ../../patchy/%{version}/bin/*; do
  if [ x"$i" != x"../../patchy/%{version}/bin/fcasplit" ]; then
	ln -s $i .
  fi
done
rm -rf $RPM_BUILD_ROOT/cern/patchy/%{version}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
/cern/patchy/%{version}/bin/*

%files symlinks
/cern/pro/bin/*

%changelog
* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.14hepx1a
- 1st release on MacOSX 10.14
- replaced p4sub patch to remove '-posix' flag from CFLAGS
- built with OSXWS 10.13

* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.13hepx1a
- 2nd release on MacOSX 10.13
- built with OSXWS 10.13

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.12hepx1b
- 2nd release on MacOSX 10.12
- built with OSXWS 10.12

* Sun Dec 18 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.12hepx1a
- 1st release on MacOSX 10.12
- built with OSXWS 10.11

* Mon Feb 08 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.11hepx1a
- 1st release on MacOSX 10.11

* Mon Dec 22 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.10hepx1a
- 1st release on MacOSX 10.10

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.9hepx1b
- 2nd release on MacOSX 10.9

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.9hepx1a
- 1st release on MacOSX 10.9

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.7hepx1a
- 1st release on MacOSX 10.7

* Sun Mar 07 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.6hepx1a
- 1st release on MacOSX 10.6 

* Thu Aug 14 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.5hepx1b
- 2nd release on MacOSX 10.5 
- fcasplit removed from symlinks

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-10.5hepx1a
- 1st release on MacOSX 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-4e
- 2nd release on MacOSX for Intel Macs

* Fri Oct 06 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-4d
- 1st release on MacOSX for Intel Macs

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-4c
- 3rd release on MacOSX
- 10.4 linked against libgfortran.1.dylib instead of libgfortran.0.dylib

- reorganized gfortran patches so that they work also on linux
* Mon Nov 14 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-4b
- 2nd release on MacOSX 10.4
- reorganized gfortran patches so that they work also on linux

* Mon Oct 10 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-4a
- 1st release on MacOSX 10.4

* Mon Jan 12 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-3d
- 1st release on MacOSX 10.3

* Thu Oct 10 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Sat Apr 28 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

